<!DOCTYPE html>
<html>

	<head>
		<meta charset="UTF-8">
		<title>sage</title>
		<link rel="stylesheet" type="text/css" href="css/easyui.css">
		<link rel="stylesheet" type="text/css" href="css/icon.css">
		<script type="text/javascript" src="js/lib/jquery.min.js"></script>
		<script type="text/javascript" src="js/lib/jquery.easyui.min.js"></script> 
	</head>

	<body>
		<div class="common_content_nav">您所在位置 > <a href="#">二维码管理</a></div>
		<div class="common_content_title">二维码管理 </div>
		<div class="common_content_btnList clearfix">
			<button id="showTemp" type="button" class="btn btn-success btn-block">查看</button>
			<button id="saveTemp" type="button" class="btn btn-block">新建</button>
			<button id="editTemp" type="button" class="btn btn-block">编辑</button>
			<button id="deletedTemp" type="button" class="btn btn-block">删除</button>
		</div>
		<div class="common_content_table box_shadow border10">
			<table id="qrCodeTable" class="easyui-datagrid" style="width:100%;height:400px" data-options="pagination:true,singleSelect:true,collapsible:true,method:'get'">
				<thead>
					<tr>
						<th data-options="field:'qrCodeId',checkbox:true"></th>
						<th data-options="field:'qrCodeName',width:120,align:'center',halign:'center'">二维码名称</th>
						<th data-options="field:'qrCodeCode',width:120,align:'center',halign:'center'">二维码编号</th>
						<th data-options="field:'activityCode',width:120,align:'center',halign:'center'">活动编号</th>
						<th data-options="field:'qrTypeId',width:120,align:'center',halign:'center'
							,formatter:function(value, row, index) {return $.Qrcode_type.getText(value);}">类型 </th>
						<th data-options="field:'createTime',width:180,align:'center',halign:'center'
							,formatter:function(value, row, index) {return getDateString(value);}">添加时间</th>
						<th data-options="field:'updateTime',width:180,align:'center',halign:'center'
							,formatter:function(value, row, index) {return getDateString(value);}">最后修改时间</th>
						<th data-options="field:'cn',width:180,align:'center',halign:'center'
							,formatter:function(value, row, index){return downLoadBtn(value, row, index);}">二维码图片</th>
						<th data-options="field:'remark',width:180,align:'center',halign:'center'">备注</th>
						<th data-options="field:'responseNumber',width:120,align:'center',halign:'center'">获取关注次数</th>
					</tr>
				</thead>
			</table>
		</div>
		
		<script type="text/javascript">
			$(function() {
				require(['view/base/qrCodeManage'], function(re) {
					re.init();
				});
			});
		</script>
	</body>

</html>